# eric6.Helpviewer.WebPlugins.WebPluginInterface

Module implementing the web plug-in interface.

### Global Attributes

None

### Classes

WebPluginInterface | Class implementing the web plug-in interface.

### Functions

None

## WebPluginInterface

Class implementing the web plug-in interface.

### Derived from

object

### Class Attributes

None

### Class Methods

None

### Methods

configure | Public method to configure the plug-in.
create | Public method to create a plug-in instance for the given data.
isAnonymous | Public method to indicate an anonymous plug-in.
metaPlugin | Public method to create a meta plug-in object containing plug-in info.

### Static Methods

None

#### WebPluginInterface.configure

configure()

Public method to configure the plug-in.

Raises NotImplementedError:
  raised to indicate that this method must be implemented by subclasses

#### WebPluginInterface.create

create(mimeType, url, argumentNames, argumentValues)

Public method to create a plug-in instance for the given data.

mimeType
  MIME type for the plug-in (string)
url
  URL for the plug-in (QUrl)
argumentNames
  list of argument names (list of strings)
argumentValues
  list of argument values (list of strings)

Returns:
  reference to the created object (QWidget)

Raises NotImplementedError:
  raised to indicate that this method must be implemented by subclasses

#### WebPluginInterface.isAnonymous

isAnonymous()

Public method to indicate an anonymous plug-in.

Returns:
  flag indicating anonymous state (boolean)

#### WebPluginInterface.metaPlugin

metaPlugin()

Public method to create a meta plug-in object containing plug-in info.

Returns:
  meta plug-in object (QWebPluginFactory.Plugin)

Raises NotImplementedError:
  raised to indicate that this method must be implemented by subclasses

Up